MultiOverlayV3.noHudApp = {};

function MultiOverlayV3.noHudApp:loadApp(self, isServer)
	if isServer then return;end;
	local version = 0.1; --before edit,check is MultiOverlayV3 Hud Mod App Version UpToDate or not (Check TestApp at MultiOverlayV3 Zip)
	print("---loading NoHud App (".. tostring(version).. ") for ".. tostring(MultiOverlayV3.metadata.title))	
	if version >= MultiOverlayV3.metadata.clientAppVersion then
		MultiOverlayV3.noHudApp.isActive = false;		
		local myCmdTable, errorTable = 0, {};
		local newCmdTable = {	
			realName = "NoHud App";
			guiMenue = false;
			--guiMenueTable = 0;
			--guiMenueName = "NoHud App";
			onOff = true;
			luaName = "noHudApp";
			cmdTable = {};
		};
		newCmdTable.cmdTable[1] = {
			cmdName = "noHudOnOff";
			displayName = "Alle LS Huds On/Off";			
			multiple = true;
			sortBy = "NoHud App";
			infoTxt = "Huds On/Off\nUnterstützt alle meine (HappyLooser) Mods\nTip set noHudAppIcon1_ ";
			helpTxt = "";
			click = {mouseButtonLeft=true, mouseButtonMiddle=true, mouseButtonRight=true, key=true};
			typ = "action";			
			action = MultiOverlayV3.noHudApp.onOff;			
			ownValues = {};			 
		};		
		
		myCmdTable, errorTable = moSetGetCmd:generateNewCmd(newCmdTable);		
		--for test set true or set own function etc.
		local errorPrint = false;
		if errorPrint and #errorTable > 0 then
			for a=1, #errorTable do
				print("! ERROR ! NoHud App -->cmd generate error ".. tostring(a).. ": ".. tostring(errorTable[a]))
			end;
		end;
		local overlayDir = "app/noHudApp/";	
		moSetGetOverlays:loadPreviewAppIconsOverlays(self, overlayDir.. "noHudApp.dds", "m64x64", "noHudAppIcon", 1, 1, 1, "NoHud App Icon", true); --App Icons for Moh PDAs
	end;
end;

function MultiOverlayV3.noHudApp.onOff()
	--if g_currentMission.isRunning then
		if g_currentMission.hud.isVisible then
			g_currentMission.hud:setIsVisible(false);
			g_currentMission.noHudApp = true;
			MultiOverlayV3.noHudApp.isActive = true;
			moMouseKeyEvents:setMouseCursorAndFrozen(nil, false);
			g_currentMission.hud:showInGameMessage("NoHud App Help Text", "Activate Huds with\nMultiOverlayV3 Hud Key Settings *MoV3OnOffMouseCursor*", 0);
		else
			g_currentMission.hud:setIsVisible(true);
			MultiOverlayV3.noHudApp.isActive = false;
			g_currentMission.noHudApp = false;
		end;
	--end;	
end;