moDraw.simpleAppPDA = {};

function moDraw.simpleAppPDA:setOpenDraw(self, appPdaName, appPdaIcons, PDAposX, PDAposY, PDAmaxWidth, PDAmaxHeight, PDAcenter, setOtherButtonTable) --return posX + posX+width and posY + posY+height Area and clickAreas table
	if appPdaName == nil or type(appPdaName) ~= "string" then return;end;
	if type(appPdaIcons) ~= "table" or #appPdaIcons < 1 then return;end;
	local appName = string.gsub(tostring(appPdaName), " ", "");
	moGeneralSettings.clickAreas.simpleAppPDA[appName] = {};	
	--local distanceAppIcons = appPdaIcons.viewOtherValues.distanceAppIcons or 1;
	--local zoomLevel = appPdaIcons.viewOtherValues.zoomLevel or moSetGetOverlays.defaultZoomOutInTemp;
	--local distanceAppIconWidth = (appPdaIcons[5].width-(moSetGetOverlays.buttonGfxWidth1*moSetGetOverlays.defaultZoomOutInTemp*((zoomLevel*2)+distanceAppIcons)))/2;
	--local distanceAppIconHeight = (appPdaIcons[5].height-(moSetGetOverlays.buttonGfxHeight1*moSetGetOverlays.defaultZoomOutInTemp*((zoomLevel*2)+distanceAppIcons)))/2;
	
	local horizontal = appPdaIcons[5].width;
	local vertical = appPdaIcons[5].height;
	local posX = PDAposX or appPdaIcons.viewOtherValues.posX;
	local posY = PDAposY or appPdaIcons.viewOtherValues.posY;	
	if appPdaIcons.viewOtherValues.dragDropOn then posX=appPdaIcons.viewOtherValues.posX;posY=appPdaIcons.viewOtherValues.posY;end;
	local newPosX = 0;
	local newPosY = 0;
	local width = 0;
	local height = 0;	
	local maxWidth = tonumber(PDAmaxWidth) or appPdaIcons.viewOtherValues.width;
	local maxHeight = tonumber(PDAmaxHeight) or appPdaIcons.viewOtherValues.height;	
	local disableClickArea = MultiOverlayV3.dragDropPos.on;
	--appPdaIcons.viewOtherButton = {setSettingsButton=0,setSaveButton=0,setCloseButton=0,setZoomButton=0,setDragDropButton=0,setUpDownButton=0,setLeftRightButton=0}; --0= Off, 1= On, 2= On is Mouse Ready
	if setOtherButtonTable ~= nil and type(setOtherButtonTable) == "table" and #setOtherButtonTable > 0 then 
		if setOtherButtonTable[1] ~= nil then appPdaIcons.viewOtherButton.setSettingsButton = setOtherButtonTable[1] or 0;end;
		if setOtherButtonTable[2] ~= nil then appPdaIcons.viewOtherButton.setSaveButton = setOtherButtonTable[2] or 0;end;
		if setOtherButtonTable[3] ~= nil then appPdaIcons.viewOtherButton.setCloseButton = setOtherButtonTable[3] or 0;end;
		if setOtherButtonTable[4] ~= nil then appPdaIcons.viewOtherButton.setZoomButton = setOtherButtonTable[4] or 0;end;
		if setOtherButtonTable[5] ~= nil then appPdaIcons.viewOtherButton.setDragDropButton = setOtherButtonTable[5] or 0;end;
		if setOtherButtonTable[6] ~= nil then appPdaIcons.viewOtherButton.setUpDownButton = setOtherButtonTable[6] or 0;end;
		if setOtherButtonTable[7] ~= nil then appPdaIcons.viewOtherButton.setLeftRightButton = setOtherButtonTable[7] or 0;end;
	end;
	
	function getUpDownY(y, values, values1)		
		values1 = values1 or 0;		
		return y-values-values1;
	end;
	
	--1=linksOben,2=mitteOben,3=rechtsOben
	--4=linksMitte,5=mitte,6=rechtsMitte
	--7=linksUnten,8=mitteUnten,9=rechtsUnten
	--10=keyAppSelect Rahmen 1 keySelect (for keyControl)
	--11=keyAppSelect Rahmen 2 settingAppSelect
		
	moSetGetOverlays:setOverlay(self, appPdaIcons[1], posX, posY);
	appPdaIcons[1]:render();
	if appPdaIcons.viewOtherButton.setSettingsButton == 1 or (appPdaIcons.viewOtherButton.setSettingsButton == 2 and moGeneralSettings.setMouseCursor) then
		moSetGetOverlays:setOverlay(self, appPdaIcons["setting"], posX, posY);
		appPdaIcons["setting"]:render();
		moDraw.simpleAppPDA:clickAreas(appPdaIcons["setting"].x, appPdaIcons["setting"].x+appPdaIcons["setting"].width, appPdaIcons["setting"].y, appPdaIcons["setting"].y+appPdaIcons["setting"].height, appName, "appPdaSetting", tostring(appPdaName), 0, 0);
	end;	
	width = width+(appPdaIcons[1].width*2);
	newPosX = posX+appPdaIcons[1].width;
	newPosY = getUpDownY(posY, appPdaIcons[1].height);
	--first line
	for a=1, maxWidth do
		width = width+appPdaIcons[2].width;
		moSetGetOverlays:setOverlay(self, appPdaIcons[2], newPosX+(horizontal*(a-1)), posY);
		appPdaIcons[2]:render();		
	end;
	moSetGetOverlays:setOverlay(self, appPdaIcons[3], newPosX+(horizontal*maxWidth), posY);
	appPdaIcons[3]:render();
	if (appPdaIcons.viewOtherButton.setCloseButton == 1 or (appPdaIcons.viewOtherButton.setCloseButton == 2 and moGeneralSettings.setMouseCursor)) then
		moSetGetOverlays:setOverlay(self, appPdaIcons["close"], newPosX+(horizontal*maxWidth), posY);
		appPdaIcons["close"]:render();
		moDraw.simpleAppPDA:clickAreas(appPdaIcons["close"].x, appPdaIcons["close"].x+appPdaIcons["close"].width, appPdaIcons["close"].y, appPdaIcons["close"].y+appPdaIcons["close"].height, appName, "appPdaClose", tostring(appPdaName), 0, 0);
	end;
	if (appPdaIcons.viewOtherButton.setSaveButton == 1 or (appPdaIcons.viewOtherButton.setSaveButton == 2 and moGeneralSettings.setMouseCursor))then
		moSetGetOverlays:setOverlay(self, appPdaIcons["save"], newPosX+(horizontal*(maxWidth-0.5)), posY);
		appPdaIcons["save"]:render();
		moDraw.simpleAppPDA:clickAreas(appPdaIcons["save"].x, appPdaIcons["save"].x+appPdaIcons["save"].width, appPdaIcons["save"].y, appPdaIcons["save"].y+appPdaIcons["save"].height, appName, "appPdaSave", tostring(appPdaName), 0, 0);
	end;
	--first line	
	
	--next lines vertical
	for a=1, maxHeight do
		height = height+appPdaIcons[4].height;
		moSetGetOverlays:setOverlay(self, appPdaIcons[4], posX, getUpDownY(posY, vertical*a));
		appPdaIcons[4]:render();
		if a == 1 and (appPdaIcons.viewOtherButton.setLeftRightButton == 1 or (appPdaIcons.viewOtherButton.setLeftRightButton == 2 and moGeneralSettings.setMouseCursor)) then
			moSetGetOverlays:setOverlay(self, appPdaIcons["lineLeftRight"], posX, getUpDownY(posY, vertical*a));
			appPdaIcons["lineLeftRight"]:render();
			moDraw.simpleAppPDA:clickAreas(appPdaIcons["lineLeftRight"].x, appPdaIcons["lineLeftRight"].x+appPdaIcons["lineLeftRight"].width, appPdaIcons["lineLeftRight"].y+(vertical/2), appPdaIcons["lineLeftRight"].y+(vertical/2)+(appPdaIcons["lineLeftRight"].height/2), appName, "appPdaLineLeft", tostring(appPdaName), 0, 0);
			moDraw.simpleAppPDA:clickAreas(appPdaIcons["lineLeftRight"].x, appPdaIcons["lineLeftRight"].x+appPdaIcons["lineLeftRight"].width, appPdaIcons["lineLeftRight"].y, appPdaIcons["lineLeftRight"].y+(appPdaIcons["lineLeftRight"].height/2), appName, "appPdaLineRight", tostring(appPdaName), 0, 0);
		end;
		for b=1, maxWidth do
			moSetGetOverlays:setOverlay(self, appPdaIcons[5], newPosX+(horizontal*(b-1)), getUpDownY(posY, vertical*a));
			appPdaIcons[5]:render();
			moDraw.simpleAppPDA:clickAreas(appPdaIcons[5].x, appPdaIcons[5].x+appPdaIcons[5].width, appPdaIcons[5].y, appPdaIcons[5].y+appPdaIcons[5].height, appName, "appPdaLinePos", tostring(appPdaName), a, b);
		end;
		moSetGetOverlays:setOverlay(self, appPdaIcons[6], newPosX+(horizontal*maxWidth), getUpDownY(posY, vertical*a));
		appPdaIcons[6]:render();		
	end;
	--next line vertical
	
	--end line	
	moSetGetOverlays:setOverlay(self, appPdaIcons[7], posX, getUpDownY(newPosY, vertical*maxHeight));
	appPdaIcons[7]:render();
	if (appPdaIcons.viewOtherButton.setDragDropButton == 1 or (appPdaIcons.viewOtherButton.setDragDropButton == 2 and moGeneralSettings.setMouseCursor)) and not g_currentMission.guiMenue.dragDrop.on then
		moSetGetOverlays:setOverlay(self, appPdaIcons["dragDrop"], posX, getUpDownY(newPosY, vertical*maxHeight));
		if not MultiOverlayV3.dragDropPos.on then moSetGetOverlays:setBackgroundColor(appPdaIcons["dragDrop"], moColors.intern["green"]);else moSetGetOverlays:setBackgroundColor(appPdaIcons["dragDrop"], moColors.intern["red"]);end;
		appPdaIcons["dragDrop"]:render();
		moDraw.simpleAppPDA:clickAreas(appPdaIcons["dragDrop"].x, appPdaIcons["dragDrop"].x+appPdaIcons["dragDrop"].width, appPdaIcons["dragDrop"].y, appPdaIcons["dragDrop"].y+appPdaIcons["dragDrop"].height, appName, "appPdaDragDrop", tostring(appPdaName), 0, 0, appPdaIcons);
	end;
	for a=1, maxWidth do		
		moSetGetOverlays:setOverlay(self, appPdaIcons[8], newPosX+(horizontal*(a-1)), getUpDownY(newPosY, vertical*maxHeight));
		appPdaIcons[8]:render();
		if a == 1 and (appPdaIcons.viewOtherButton.setUpDownButton == 1 or (appPdaIcons.viewOtherButton.setUpDownButton == 2 and moGeneralSettings.setMouseCursor)) then
			moSetGetOverlays:setOverlay(self, appPdaIcons["lineUpDown"], newPosX, getUpDownY(newPosY, vertical*maxHeight));
			appPdaIcons["lineUpDown"]:render();
			moDraw.simpleAppPDA:clickAreas(appPdaIcons["lineUpDown"].x, appPdaIcons["lineUpDown"].x+(appPdaIcons["lineUpDown"].width/2), appPdaIcons["lineUpDown"].y, appPdaIcons["lineUpDown"].y+appPdaIcons["lineUpDown"].height, appName, "appPdaLineUp", tostring(appPdaName), 0, 0);
			moDraw.simpleAppPDA:clickAreas(appPdaIcons["lineUpDown"].x+(appPdaIcons["lineUpDown"].width/2), appPdaIcons["lineUpDown"].x+(appPdaIcons["lineUpDown"].width), appPdaIcons["lineUpDown"].y, appPdaIcons["lineUpDown"].y+appPdaIcons["lineUpDown"].height, appName, "appPdaLineDown", tostring(appPdaName), 0, 0);
		end;
	end;	
	moSetGetOverlays:setOverlay(self, appPdaIcons[9], newPosX+(horizontal*maxWidth), getUpDownY(newPosY, vertical*maxHeight));
	appPdaIcons[9]:render();
	--end line
	return moGeneralSettings.clickAreas.simpleAppPDA[appName];
end;

function moDraw.simpleAppPDA:clickAreas(posX, posX1, posY, posY1, appName, whatClick, whereClick, line, position, pdaAppTable)
	moGeneralSettings.clickAreas.simpleAppPDA[appName][#moGeneralSettings.clickAreas.simpleAppPDA[appName]+1] = {
		posX;
		posX1;
		posY;
		posY1;
		whatClick = tostring(whatClick) or "";
		line = line or 0;		
		whereClick = tostring(whereClick) or "";
		position = position or 0;
		pdaAppTable = pdaAppTable or nil;
		appName = appName or "";
	};
end;